SDL_SetSurfaceRLE(3)

NAME
SDL_SetSurfaceRLE - Set the RLE acceleration hint for a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetSurfaceRLE(SDL_Surface *surface, int flag);

DESCRIPTION
If RLE is enabled, color key and alpha blending blits are much faster, but the surface must be locked before directly accessing the pixels.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to optimize

flag
    0 to disable, non-zero to enable RLE acceleration

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_BlitSurface(3), SDL_LockSurface(3), SDL_UnlockSurface(3)